Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.filters
Class ModelElementTypeMapper

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractTypeMapper
          org.eclipse.gmf.runtime.diagram.ui.properties.filters.ModelElementTypeMapper

All Implemented Interfaces:
  ITypeMapper

public class ModelElementTypeMapper
extends AbstractTypeMapper

Create a filter that is used assist in input filtering for the propertySection extension point.

Constructor Summary
`ModelElementTypeMapper()` Constructor for ModelElementTypeMapper.

Method Summary
`protected java.lang.Class` `getEObjectType(EObject eObj)` Returns the type of the EObject.
`java.lang.Class` `mapType(java.lang.Object input)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelElementTypeMapper

    public ModelElementTypeMapper()

  Constructor for ModelElementTypeMapper.

Method Detail

### mapType

    public java.lang.Class mapType(java.lang.Object input)

### getEObjectType

    protected java.lang.Class getEObjectType(EObject eObj)

  Returns the type of the EObject. Subclasses may override.

  Parameters:
    `eObj` - EObject whose type is being examined
  Returns:
    Type of the EObject

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.